Bug 532628 - Dell Studio XPS needs udev love for bluetooth.
Summary: Dell Studio XPS needs udev love for bluetooth.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: udev
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-03 07:34 UTC by Rodd Clarkson
Modified: 2009-11-27 21:48 UTC (History)
2 users (show)

Fixed In Version: 145-14.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-27 21:48:28 UTC


Attachments (Terms of Use)
hid2hci rules for dell bluetooth (1.34 KB, text/plain)
2009-11-03 07:34 UTC, Rodd Clarkson
no flags Details

Description Rodd Clarkson 2009-11-03 07:34:25 UTC
Created attachment 367260 [details]
hid2hci rules for dell bluetooth

Description of problem:

I'm not sure how to describe this, but Bastien tells me I need to have something stuck into the udev rules to handle my bluetooth (that appears like a mouse).


I've had a bug about this for f11, but apparently the solution for f12 is different and this is where you come in.

This is the bug: https://bugzilla.redhat.com/show_bug.cgi?id=513103

The attachment is what I think udev needs, but it might not be.

Comment 1 Harald Hoyer 2009-11-03 16:38:03 UTC
Did you try it the rules? Do they work for you?

Backporting the whole hid2hci from new udev versions to the F-12 version is not simple.

Comment 2 Rodd Clarkson 2009-11-03 23:26:08 UTC
How would I try it?

To be honest harold, I was told that to have this issue addressed (a bluetooth issue as far as I'm concerned) that I'd need to address it with udev for f12.

I'm willing to help out were I can, but I might need a little instruction.

Comment 3 Bastien Nocera 2009-11-04 23:58:39 UTC
(In reply to comment #1)
> Did you try it the rules? Do they work for you?
> 
> Backporting the whole hid2hci from new udev versions to the F-12 version is not
> simple.  

It's dead easy, did it for bluez in F-11...

Comment 4 Bastien Nocera 2009-11-05 00:21:54 UTC
Built in here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1788827

Let us know whether it works.

Harald, I've updated hid2hci in F-12 to have the same code as we have now in F11. I'll let you clean up what needs cleaning up, add the patch to devel, and request the tagging for F12 final.

Comment 5 Rodd Clarkson 2009-11-05 00:43:27 UTC
Lovely work Bastien.  Works great, using current bluez and the udev above.  Can this be pushed to f12, or will it need to wait for the release?


R

Comment 6 Harald Hoyer 2009-11-05 08:43:24 UTC
very nice!

Comment 7 Fedora Update System 2009-11-12 00:51:22 UTC
udev-145-14.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update udev'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11396

Comment 8 Bug Zapper 2009-11-16 14:58:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Fedora Update System 2009-11-27 21:47:58 UTC
udev-145-14.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.